<nav
    class="navbar navbar-light navbar-expand-md fixed-top"
    [ngClass]="displayTopbar ? 'navbar-visible' : 'navbar-hidden'"
>
    <a
        class="navbar-brand"
        routerLink="home"
        routerLinkActive="active"
        aria-label="GéoNature Citizen Home"
    >
        <img
            src="{{ logoImage }}"
            width="auto"
            height="80"
            class="d-inline-block align-top logo"
            [ngClass]="displayTopbar ? '' : 'hidden'"
            alt="GeoNature Citizen logo: flamengo origami"
        />
    </a>
    <button
        class="navbar-toggler collapsed"
        type="button"
        (click)="isCollapsed = !isCollapsed"
    >
        <i class="fa fa-bars"></i>
    </button>

    <div
        class="navbar-collapse collapse align-top"
        id="navbar"
        [ngbCollapse]="isCollapsed"
    >
        <div class="navbar-nav mr-auto"></div>
        <div>
            <div [ngClass]="displayTopbar ? '' : 'hidden'">
                <div id="google_translate_element"></div>
            </div>
            <form class="form-inline mt-2 mt-md-0">
                <ul
                    *ngIf="programs$ | async; let _programs"
                    class="btn-group"
                    [ngClass]="displayTopbar ? '' : 'hidden'"
                    role="group"
                    aria-label="auth"
                >
                    <li>
                        <a
                            routerLink="home"
                            routerLinkActive="active"
                            (click)="isCollapsed = true"
                            class="btn my-2 my-sm-0 rounded-0"
                            i18n="home@@home"
                            title="Accueil"
                        >Accueil</a>
                    </li>
                    <li>
                        <a
                            class="btn my-2 my-sm-0 rounded-0"
                            (click)="programs(); isCollapsed = true"
                            title="Les programmes"
                        >
                            {{
                            mainConfig.programs_label[localeId]
                            ? mainConfig.programs_label[localeId]
                            : 'Programmes'
                            }}
                        </a>
                    </li>
                    <li *ngIf="canDisplayAbout">
                        <a
                            class="btn my-2 my-sm-0 rounded-0"
                            routerLink="/about"
                            (click)="isCollapsed = !isCollapsed"
                            routerLinkActive="active"
                            i18n="about@@about"
                            title="A propos"
                        >A propos</a>
                    </li>
                    <li *ngIf="isAdmin">
                        <a
                            [href]="adminUrl"
                            target="_blank"
                            class="btn my-2 my-sm-0 rounded-0"
                            i18n="admin@@admin"
                            title="Admin"
                            (click)="isCollapsed = !isCollapsed"
                        >Admin
                        </a>
                    </li>
                </ul>
                <div
                    class="btn-group navbar-login"
                    *ngIf="canSignup && !hideAuth"
                >
                    <div *ngIf="
                            isLoggedIn() | async;
                            then connected;
                            else disconnected
                        "></div>
                    <ng-template #connected>
                        <a
                            placement="bottom"
                            i18n-ngbTooltip="my Dasboard Link@@myDasboardLink"
                            ngbTooltip="Mon tableau de bord"
                            (click)="isCollapsed = !isCollapsed"
                            routerLink="mydashboard"
                            routerLinkActive="active"
                        >
                            <i
                                *ngIf="!userAvatar"
                                class="fa fa-fw fa-user-circle"
                            ></i>
                            <div
                                *ngIf="userAvatar"
                                class="avatar-wrapper"
                                [style.background-image]="
                                    'url(' + userAvatar + ')'
                                "
                            ></div>
                            <!--               <img *ngIf="userAvatar" class="avatar-img rounded-circle" width="22px" src="{{userAvatar}}" /> -->
                            &nbsp;{{ username }}
                        </a>
                        <a
                            class="btn btn-sm my-2 my-sm-0"
                            (click)="logout(); isCollapsed = true"
                            style="min-width: 147px !important"
                            i18n="logout@@logout"
                        >
                            <i class="fa fa-fw fa-lock"></i> &nbsp;Se
                            déconnecter
                        </a>
                    </ng-template>
                    <ng-template #disconnected>
                        <a
                            class="btn my-2 my-sm-0 rounded-0"
                            (click)="login(); isCollapsed = true"
                            i18n="login@@login"
                        >
                            Se connecter
                        </a>
                        <a
                            class="btn my-2 my-sm-0 rounded-0"
                            (click)="register(); isCollapsed = true"
                            i18n="register@@register"
                        >
                            S'inscrire
                        </a>
                    </ng-template>
                </div>
            </form>
        </div>
        <!-- FIXME: closed elsewhere </nav> -->
    </div>
</nav>
